Skip to main content
GET
/
v2
/
avatars
/
photo_avatars
Get Photo Avatar List
curl --request GET \
  --url https://api.jogg.ai/v2/avatars/photo_avatars \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.jogg.ai/v2/avatars/photo_avatars"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.jogg.ai/v2/avatars/photo_avatars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 0,
  "msg": "Success",
  "data": {
    "avatars": [
      {
        "id": 123,
        "name": "My Photo Avatar",
        "cover_url": "https://example.com/cover.jpg",
        "status": 1,
        "fail_msg": ""
      }
    ]
  }
}
Retrieve the list of your photo avatars created from uploaded photos.

Example Usage

curl --request GET \
  --url 'https://api.jogg.ai/v2/avatars/photo_avatars' \
  --header 'x-api-key: YOUR_API_KEY'

Create Photo Avatar Guide

Learn how to create photo avatars

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain your key from the JoggAI dashboard.

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
Example:

1

page_size
integer
default:10

Number of items per page

Required range: 1 <= x <= 100
Example:

10

name
string

Avatar name filter

status
enum<string>

Status filter

Available options:
processing,
completed,
failed

Response

200 - application/json

Success

code
integer
required

Business status code:

  • 0 - Success
  • 10104 - Record not found
  • 10105 - Invalid API key
  • 18020 - Insufficient credit
  • 18025 - No permission to call APIs
  • 40000 - Parameter error
  • 50000 - System error
Example:

0

msg
string
required

Response message

Example:

"Success"

data
object